﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Runtime.Remoting.Messaging;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using MySql.Data.MySqlClient;

namespace mysqlTestBug
{
    class Program
    {
        static void Main(string[] args)
        {
            while (true)
            {
                try
                {
                    using (var objCon = new MySqlConnection(Properties.Settings.Default.conString))
                    {
                        objCon.Open();

                        var tran = objCon.BeginTransaction(IsolationLevel.ReadCommitted);
                        var cmd = new MySqlCommand("select version() ", objCon, tran);

                        Console.WriteLine($"Result : {cmd.ExecuteScalar()}");
                        tran.Commit();

                        objCon.Close();
                    }
                }
                catch (Exception ex)
                {
                    Console.WriteLine($"Some error : {ex.Message}");
                }
                
                Thread.Sleep(100);
            }
        }
    }
}
